<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

    <PropertyGroup>
		<OutputType>Exe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
		<InvariantGlobalization>true</InvariantGlobalization>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="8.0.8"/>
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="8.0.8" PrivateAssets="all"/>
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.10" />
    </ItemGroup>

    <ItemGroup>
      <AdditionalFiles Include="Program\Layout\MainLayout.razor" />
    </ItemGroup>

    <ItemGroup>
      <_ContentIncludedByDefault Remove="Pages\Counter.razor" />
      <_ContentIncludedByDefault Remove="Pages\Home.razor" />
      <_ContentIncludedByDefault Remove="Pages\Weather.razor" />
      <_ContentIncludedByDefault Remove="wwwroot\css\bootstrap\bootstrap.min.css" />
      <_ContentIncludedByDefault Remove="wwwroot\css\bootstrap\bootstrap.min.css.map" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Program\ViewModels\" />
      <Folder Include="Program\Views\Project\FooterLink\" />
      <Folder Include="wwwroot\Resources\" />
    </ItemGroup>

    
</Project>
